- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions

# QScriptContext Class Reference

Search for all occurrences

## Detailed Description

Definition at line 39 of file qscriptcontext.h.

`#include <qscriptcontext.h>`

List of all members.

## Public Types
enum | ExecutionState { NormalState, ExceptionState }
enum | Error { UnknownError, ReferenceError, SyntaxError, TypeError, RangeError, URIError }
## Public Member Functions
| ~QScriptContext ()
QScriptContext * | parentContext () const
QScriptEngine * | engine () const
ExecutionState | state () const
QScriptValue | callee () const
int | argumentCount () const
QScriptValue | argument (int index) const
QScriptValue | argumentsObject () const
QScriptValueList | scopeChain () const
void | pushScope (const QScriptValue &object)
QScriptValue | popScope ()
QScriptValue | returnValue () const
void | setReturnValue (const QScriptValue &result)
QScriptValue | activationObject () const
void | setActivationObject (const QScriptValue &activation)
QScriptValue | thisObject () const
void | setThisObject (const QScriptValue &thisObject)
bool | isCalledAsConstructor () const
QScriptValue | throwValue (const QScriptValue &value)
QScriptValue | throwError (Error error, const QString &text)
QScriptValue | throwError (const QString &text)
QStringList | backtrace () const
QString | toString () const

## Member Enumeration Documentation

enum ExecutionState

Search for all occurrences

Enumerator:

  NormalState | Search for all occurrences
  ExceptionState | Search for all occurrences

Definition at line 42 of file qscriptcontext.h.

                            {
            NormalState,
            ExceptionState
        };

enum Error

Search for all occurrences

Enumerator:

  UnknownError | Search for all occurrences
  ReferenceError | Search for all occurrences
  SyntaxError | Search for all occurrences
  TypeError | Search for all occurrences
  RangeError | Search for all occurrences
  URIError | Search for all occurrences

Definition at line 47 of file qscriptcontext.h.

                   {
            UnknownError,
            ReferenceError,
            SyntaxError,
            TypeError,
            RangeError,
            URIError
        };

## Constructor & Destructor Documentation

~QScriptContext | ( |  | ) |

## Member Function Documentation

QScriptContext* parentContext | ( |  | ) | const

Search for all occurrences

QScriptEngine* engine | ( |  | ) | const

Search for all occurrences

ExecutionState state | ( |  | ) | const

Search for all occurrences

QScriptValue callee | ( |  | ) | const

Search for all occurrences

int argumentCount | ( |  | ) | const

Search for all occurrences

QScriptValue argument | ( | int | index | ) | const

Search for all occurrences

QScriptValue argumentsObject | ( |  | ) | const

Search for all occurrences

QScriptValueList scopeChain | ( |  | ) | const

Search for all occurrences

void pushScope | ( | const QScriptValue & | object | ) |

Search for all occurrences

QScriptValue popScope | ( |  | ) |

Search for all occurrences

QScriptValue returnValue | ( |  | ) | const

Search for all occurrences

void setReturnValue | ( | const QScriptValue & | result | ) |

Search for all occurrences

QScriptValue activationObject | ( |  | ) | const

Search for all occurrences

void setActivationObject | ( | const QScriptValue & | activation | ) |

Search for all occurrences

QScriptValue thisObject | ( |  | ) | const

Search for all occurrences

void setThisObject | ( | const QScriptValue & | thisObject | ) |

Search for all occurrences

bool isCalledAsConstructor | ( |  | ) | const

Search for all occurrences

QScriptValue throwValue | ( | const QScriptValue & | value | ) |

Search for all occurrences

QScriptValue throwError | ( | Error | error,
|  | const QString & | text
| ) |  |

Search for all occurrences

QScriptValue throwError | ( | const QString & | text | ) |

Search for all occurrences

QStringList backtrace | ( |  | ) | const

Search for all occurrences

QString toString | ( |  | ) | const

Search for all occurrences

The documentation for this class was generated from the following file:

- QtScript/qscriptcontext.h

QScriptContext QScriptContext QScriptContext QScriptContext QScriptContext QScriptContext QScriptContext QScriptContext QScriptContext QScriptContext
QScriptContext QScriptContext QScriptContext QScriptContext QScriptContext QScriptContext QScriptContext QScriptContext QScriptContext QScriptContext